// Verify the fix for issue 0136 (outer).
namespace test63
{
   class Test {
   protected:
      Test();
   public:
      virtual ~Test() = 0;
   private:
      Test(const Test& rhs);
      Test& operator=(const Test& rhs);
   public:
      struct B {
         int type;
      };
   };
}
